diff --git services/filewatch/CMakeLists.txt services/filewatch/CMakeLists.txt
index 88357a1..8193af8 100644
--- services/filewatch/CMakeLists.txt
+++ services/filewatch/CMakeLists.txt
@@ -41,6 +41,11 @@ kde4_install_auth_helper_files(kde_nepomuk_filewatch_raiselimit org.kde.nepomuk.
 endif(CMAKE_SYSTEM_NAME MATCHES "Linux")
 
 kde4_add_executable(nepomukfilewatch ${SRCS})
+if (APPLE)
+    set_target_properties(nepomukfilewatch PROPERTIES MACOSX_BUNDLE_INFO_PLIST ${CMAKE_CURRENT_SOURCE_DIR}/Info.plist.template)
+    set_target_properties(nepomukfilewatch PROPERTIES MACOSX_BUNDLE_GUI_IDENTIFIER "org.kde.nepomuk.filewatch")
+    set_target_properties(nepomukfilewatch PROPERTIES MACOSX_BUNDLE_BUNDLE_NAME "KDE Nepomuk file watch service")
+endif (APPLE)
 
 target_link_libraries(nepomukfilewatch
   nepomukcommon
diff --git services/filewatch/Info.plist.template services/filewatch/Info.plist.template
new file mode 100644
index 0000000..c39ddb9
--- /dev/null
+++ services/filewatch/Info.plist.template
@@ -0,0 +1,36 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE plist PUBLIC "-//Apple Computer//DTD PLIST 1.0//EN" "http://www.apple.com/DTDs/PropertyList-1.0.dtd">
+<plist version="1.0">
+<dict>
+    <key>CFBundleDevelopmentRegion</key>
+    <string>English</string>
+    <key>CFBundleExecutable</key>
+    <string>${MACOSX_BUNDLE_EXECUTABLE_NAME}</string>
+    <key>CFBundleGetInfoString</key>
+    <string>${MACOSX_BUNDLE_INFO_STRING}</string>
+    <key>CFBundleIconFile</key>
+    <string>${MACOSX_BUNDLE_ICON_FILE}</string>
+    <key>CFBundleIdentifier</key>
+    <string>${MACOSX_BUNDLE_GUI_IDENTIFIER}</string>
+    <key>CFBundleInfoDictionaryVersion</key>
+    <string>6.0</string>
+    <key>CFBundleLongVersionString</key>
+    <string>${MACOSX_BUNDLE_LONG_VERSION_STRING}</string>
+    <key>CFBundleName</key>
+    <string>${MACOSX_BUNDLE_BUNDLE_NAME}</string>
+    <key>CFBundlePackageType</key>
+    <string>APPL</string>
+    <key>CFBundleShortVersionString</key>
+    <string>${MACOSX_BUNDLE_SHORT_VERSION_STRING}</string>
+    <key>CFBundleVersion</key>
+    <string>${MACOSX_BUNDLE_BUNDLE_VERSION}</string>
+    <key>CSResourcesFileMapped</key>
+    <true/>
+    <key>LSRequiresCarbon</key>
+    <true/>
+    <key>LSUIElement</key>
+    <string>1</string>
+    <key>NSHumanReadableCopyright</key>
+    <string>${MACOSX_BUNDLE_COPYRIGHT}</string>
+</dict>
+</plist>
diff --git services/storage/CMakeLists.txt services/storage/CMakeLists.txt
index b1ee6ac..fd1ffe8 100644
--- services/storage/CMakeLists.txt
+++ services/storage/CMakeLists.txt
@@ -69,6 +69,11 @@ qt4_add_dbus_adaptor(queryservice_SRCS
   Nepomuk2::Query::FolderConnection)
 
 kde4_add_executable(nepomukstorage ${storage_SRCS} ${queryservice_SRCS} ${Backup_SRCS})
+if (APPLE)
+    set_target_properties(nepomukstorage PROPERTIES MACOSX_BUNDLE_INFO_PLIST ${CMAKE_CURRENT_SOURCE_DIR}/Info.plist.template)
+    set_target_properties(nepomukstorage PROPERTIES MACOSX_BUNDLE_GUI_IDENTIFIER "org.kde.nepomuk.storage")
+    set_target_properties(nepomukstorage PROPERTIES MACOSX_BUNDLE_BUNDLE_NAME "KDE Nepomuk storage service")
+endif (APPLE)
 
 target_link_libraries(nepomukstorage
   ${SOPRANO_LIBRARIES}
diff --git services/storage/Info.plist.template services/storage/Info.plist.template
new file mode 100644
index 0000000..c39ddb9
--- /dev/null
+++ services/storage/Info.plist.template
@@ -0,0 +1,36 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE plist PUBLIC "-//Apple Computer//DTD PLIST 1.0//EN" "http://www.apple.com/DTDs/PropertyList-1.0.dtd">
+<plist version="1.0">
+<dict>
+    <key>CFBundleDevelopmentRegion</key>
+    <string>English</string>
+    <key>CFBundleExecutable</key>
+    <string>${MACOSX_BUNDLE_EXECUTABLE_NAME}</string>
+    <key>CFBundleGetInfoString</key>
+    <string>${MACOSX_BUNDLE_INFO_STRING}</string>
+    <key>CFBundleIconFile</key>
+    <string>${MACOSX_BUNDLE_ICON_FILE}</string>
+    <key>CFBundleIdentifier</key>
+    <string>${MACOSX_BUNDLE_GUI_IDENTIFIER}</string>
+    <key>CFBundleInfoDictionaryVersion</key>
+    <string>6.0</string>
+    <key>CFBundleLongVersionString</key>
+    <string>${MACOSX_BUNDLE_LONG_VERSION_STRING}</string>
+    <key>CFBundleName</key>
+    <string>${MACOSX_BUNDLE_BUNDLE_NAME}</string>
+    <key>CFBundlePackageType</key>
+    <string>APPL</string>
+    <key>CFBundleShortVersionString</key>
+    <string>${MACOSX_BUNDLE_SHORT_VERSION_STRING}</string>
+    <key>CFBundleVersion</key>
+    <string>${MACOSX_BUNDLE_BUNDLE_VERSION}</string>
+    <key>CSResourcesFileMapped</key>
+    <true/>
+    <key>LSRequiresCarbon</key>
+    <true/>
+    <key>LSUIElement</key>
+    <string>1</string>
+    <key>NSHumanReadableCopyright</key>
+    <string>${MACOSX_BUNDLE_COPYRIGHT}</string>
+</dict>
+</plist>
